import uuid

from pydantic import BaseModel, ConfigDict

from brewman.schemas import to_camel
from brewman.schemas.product import ProductLink

from . import Daf


class Batch(BaseModel):
    id_: uuid.UUID | None = None
    name: str
    sku: ProductLink
    quantity_remaining: Daf
    rate: Daf
    tax: Daf
    discount: Daf
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
