import uuid

from pydantic import BaseModel, ConfigDict, Field

from brewman.schemas import to_camel

from . import Daf


class Incentive(BaseModel):
    employee_id: uuid.UUID
    name: str
    designation: str
    department: str
    days_worked: Daf = Field(ge=0)
    points: Daf = Field(ge=0)
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
