import uuid

from pydantic import BaseModel, ConfigDict, Field

from brewman.schemas import to_camel
from brewman.schemas.batch import Batch

from . import Daf


class Inventory(BaseModel):
    id_: uuid.UUID | None = None
    batch: Batch
    quantity: Daf = Field(ge=0)
    rate: Daf = Field(ge=0)
    tax: Daf = Field(ge=0, le=5)
    discount: Daf = Field(ge=0, le=1)
    amount: Daf | None = None
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
