import uuid

from pydantic import BaseModel, ConfigDict, Field

from brewman.schemas import to_camel

from . import Daf


class ProductSku(BaseModel):
    id_: uuid.UUID = Field(...)
    name: str
    fraction_units: str
    cost_price: Daf
    sale_price: Daf
    is_rate_contracted: bool
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
