import uuid

from pydantic import BaseModel, ConfigDict

from brewman.schemas import to_camel
from brewman.schemas.product import ProductLink

from . import Daf


class RecipeItem(BaseModel):
    id_: uuid.UUID | None = None
    product: ProductLink
    quantity: Daf
    description: str
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
