import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Account } from '../core/account';
import { AccountService } from '../core/account.service';

@Injectable({
  providedIn: 'root',
})
export class AccountResolver {
  constructor(private ser: AccountService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Account> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
