import { CommonModule } from '@angular/common';
import { NgModule, inject } from '@angular/core';
import { ActivatedRouteSnapshot, RouterModule, RouterStateSnapshot, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { EmployeeFunctionsComponent } from './employee-functions.component';

const employeeFunctionsRoutes: Routes = [
  {
    path: '',
    component: EmployeeFunctionsComponent,
    canActivate: [
      (route: ActivatedRouteSnapshot, state: RouterStateSnapshot) => inject(AuthGuard).canActivate(route, state),
    ],
    data: {
      permission: 'employee-benefit',
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(employeeFunctionsRoutes)],
  exports: [RouterModule],
})
export class EmployeeFunctionsRoutingModule {}
