export class ProductLedgerItem {
  date: string;
  id: string;
  name: string;
  type: string;
  narration: string;
  debitQuantity: number | null;
  debitAmount: number | null;
  debitUnit: string;
  creditQuantity: number | null;
  creditAmount: number | null;
  creditUnit: string;
  runningQuantity: number;
  runningAmount: number;
  posted: boolean;
  url: string[];

  public constructor(init?: Partial<ProductLedgerItem>) {
    this.date = '';
    this.id = '';
    this.name = '';
    this.type = '';
    this.narration = '';
    this.debitQuantity = null;
    this.debitAmount = null;
    this.debitUnit = '';
    this.creditQuantity = null;
    this.creditAmount = null;
    this.creditUnit = '';
    this.runningQuantity = 0;
    this.runningAmount = 0;
    this.posted = true;
    this.url = [];
    Object.assign(this, init);
  }
}
